package turgen.plugin;

/**
 *Vyjimka je vyhozena, kdyz je soubor vetsi nez 64 KB
 * 
 */
public class FileTooLargeException extends Exception{
    
    
    private String fname=null;
    
    /** Nova instance */
    public FileTooLargeException() {
        this(null);
    }
    
    public FileTooLargeException(String s) {
        fname=s;
    }
    
    /** Vrati zpravu 
     *@return Zprava
     */
    public String getMessage() {
        String s1= "File ";
        if (fname!=null) s1=s1+fname+" ";
        s1=s1+"is too large to be processed";
        return s1;
    }
}
